<?php
//----------------------------------------------------------------------|
/***********************************************************************|
 * Project:      Creative Gallery Manager                               |
 * File:         setup.php                                              |
//----------------------------------------------------------------------|
 * @link http://megatpl.com/                                            |
 * @copyright 2014.                                                     |
 * @author Eng Hossam Hamed <megatpl@gmail.com> <eng.h.hamed@gmail.com> |
 * @package Creative Gallery Manager                                    |
 * @version 2.0                                                         |
//----------------------------------------------------------------------|
************************************************************************/
define(IN_MEGATPL,true);
include('mega-system/mega.connects.php');
?>

<html>
    <head>
       <meta http-equiv="content-type" content="text/html" />
        <meta charset="UTF-8" />
       <title>Creative Gallery Manager</title>
       <meta name="viewport" content="width=device-width, initial-scale=1.0" />
       <link rel="stylesheet" href="assets/css/bootstrap.min.css" />
       <link rel="stylesheet" href="assets/css/bootstrap-theme.min.css" />
       <link rel="stylesheet" href="assets/css/style.css" />
       <link rel="stylesheet" href="assets/css/flags.css" />
               <!--[if lt IE 9]>
            <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
            <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
        <![endif]-->
        <script src="https://code.jquery.com/jquery.js"></script>
        <script src="assets/js/bootstrap.min.js"></script>

	</head>
	<body>
<?php
@mysql_connect($dbhost,$dbuser,$dbpasswd);
@mysql_select_db($dbname);
@mysql_set_charset('utf8');
$query = @mysql_query("SELECT * FROM `config` where `config_name`='isinstall'");
if($query){
	$fetch = @mysql_fetch_assoc($query);
	if($fetch['config_value'] == '1'){
        die('
        <div class="container box" style="padding: 10px">
        <b>Warning:</b> Please Delete setup.php !</span>
        </div>
        ');
	}
}



        $temp = array(
                'URL'   => $_SERVER['SERVER_NAME'].str_replace('install', '', dirname($_SERVER['SCRIPT_NAME'])),
                'ADMIN' => isset($_POST['admin_username']) ? sanitize($_POST['admin_username']) : 'admin',
            );


		$step = addslashes($_GET['step']);
		?>
		<div class="container box" style="padding: 10px">
			<div class="row">
            
                <div class="col-lg-4">
					<div class="list-group">
					  <a href="#" class="list-group-item <?=($step=='') ? 'active': ''?>">Home</a>
					  <a href="#" class="list-group-item <?=($step=='server') ? 'active': ''?>">Check the server and files</a>
					  <a href="#" class="list-group-item <?=($step=='db') ? 'active': ''?>">Examination connect to the database</a>
					  <a href="#" class="list-group-item <?=($step=='install') ? 'active': ''?>">Installation of the database</a>
					  <a href="#" class="list-group-item <?=($step=='info') ? 'active': ''?>">Site Information</a>
					  <a href="#" class="list-group-item <?=($step=='end') ? 'active': ''?>">Finish</a>
					</div>
				</div>
                
                
				<div class="col-lg-8">
					
						<?php if($step==""){ ?>
						<h2>Creative Gallery Manager v2.0</h2>
						<p>Welecome Install Script Creative Gallery Manager</p>
                        <p>Version 2.0</p>
                        <p><a href="http://codecanyon.net/item/creative-gallery-manager/7888458?WT.ac=portfolio&WT.z_author=Megatpl">Codecanyon.net</a></p>
                        <p><img src="assets/images/rating.png" width="352" height="77" /></p>
						<h2><a href="setup.php?step=server" class="btn btn-block btn-primary">Check the server and files</a></h2>
						<?php }else if($step=="server"){ $success = 1;?>
						<h2>Check the server and files</h2>
						<table class="table table-striped" style="width:100%;text-align: center">
							<tr style="font-weight: bold">
								<td style="text-align: left;">Property</td>
								<td>Status</td>
							</tr>
							<tr>
								<td style="text-align: left;">The existence of a folder upload</td>
								<td><?php if(file_exists('upload')){
									echo '<p style="color:green">Exists</p>';	
								}else{
									echo '<p style="color:red">Does not exist</p>';	
									$success = 0;
								}?></td>
							</tr>
                            <tr>
								<td style="text-align: left;">The existence of a folder mega-cache</td>
								<td><?php if(file_exists('mega-cache')){
									echo '<p style="color:green">Exists</p>';	
								}else{
									echo '<p style="color:red">Does not exist</p>';	
									$success = 0;
								}?></td>
							</tr>
                            <tr>
								<td style="text-align: left;">The existence of a folder admin/mega-cache</td>
								<td><?php if(file_exists('admin/mega-cache')){
									echo '<p style="color:green">Exists</p>';	
								}else{
									echo '<p style="color:red">Does not exist</p>';	
									$success = 0;
								}?></td>
							</tr>
							
							
							<tr>
								<td colspan="2">
									<?php if($success){
								echo '<h2><a href="setup.php?step=db" class="btn btn-block btn-primary">Examination connect to the database</a></h2>';		
									}?>
								</td>
							</tr>
						</table>
						<?php }else if($step=='db'){ ?>
							<h2>Examination connect to the database</h2>
								<?php 
									@mysql_close();
									$success = 1;
									
									if(@mysql_connect($dbhost,$dbuser,$dbpasswd)){
										if(@mysql_select_db($dbname)){
											echo "<h3 style='color:green'>Was successfully connect to the database</h3>";
											echo '<h2><a href="setup.php?step=install" class="btn btn-block btn-primary">Installation of the database</a></h2>';
										}else{
											echo "<h3 style='color:red'>There is a problem in the name the database</h3>";
										}
									}else{
										echo "<h3 style='color:red'>There is a problem with username or password for the database</h3>";
									}
								?>
					<?php	}else if($step == 'install'){ 
					   @mysql_connect($dbhost,$dbuser,$dbpasswd);
                       @mysql_select_db($dbname);
                       @mysql_set_charset('utf8');
                       $success = 1; ?>
							<h2>Installation of the database</h2>
						<table class="table table-striped" style="width:100%;text-align: center">
							<tr style="font-weight: bold">
								<td>Tables</td>
								<td>Status</td>
							</tr>
							<tr>
								<td>Attachment</td>
								<td>
<?php 						
$tb1 = "
CREATE TABLE `attachment` (
  `id` int(9) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL,
  `content` text NOT NULL,
  `url` varchar(255) NOT NULL,
  `thumbimage` varchar(255) NOT NULL,
  `time` int(20) NOT NULL,
  `size` int(20) NOT NULL,
  `type` varchar(100) NOT NULL,
  `dimensions` varchar(100) NOT NULL,
  `orders` int(9) NOT NULL,
  `status` int(1) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;
";
if(@mysql_query($tb1)){
	echo '<p style="color:green">Has been successfully</p>';
}else{
	echo '<p style="color:red">The operation did not succeed</p>';
	$success = 0;
}		
?>
								</td>
							</tr>
                            <tr>
								<td>Banned</td>
								<td>
<?php 						
$tb2 = "CREATE TABLE `banned` (
  `id` int(6) NOT NULL auto_increment,
  `ip` varchar(255) NOT NULL default '',
  `bannedby` varchar(30) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;";

if(@mysql_query($tb2)){
	echo '<p style="color:green">Has been successfully</p>';
}else{
	echo '<p style="color:red">The operation did not succeed</p>';
	$success = 0;
}		
?>
								</td>
							</tr>
                            <tr>
								<td>Categories</td>
								<td>
<?php 						
$tb3 = "CREATE TABLE `categories` (
  `id` int(6) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL,
  `orders` int(6) NOT NULL,
  `status` int(1) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;";

if(@mysql_query($tb3)){
	echo '<p style="color:green">Has been successfully</p>';
}else{
	echo '<p style="color:red">The operation did not succeed</p>';
	$success = 0;
}		
?>
								</td>
							</tr>
                            <tr>
								<td>Default of Categories</td>
								<td>
<?php 
$tb2Stg = "
INSERT INTO `categories` VALUES 
(1, 'Web Development', 1, 1),
(2, 'Graphic Design', 2, 1),
(3, 'Creative', 3, 1);
";
@mysql_query("TRUNCATE TABLE  `categories`");
if(@mysql_query($tb2Stg)){
	echo '<p style="color:green">Has been successfully</p>';
}else{
	echo '<p style="color:red">The operation did not succeed</p>';
	$success = 0;
}		

?>
								</td>
							</tr>
                            
                            
                            
                            
                            
                            
                            
                            <tr>
								<td>Comments</td>
								<td>
<?php 						
$tb4 = "CREATE TABLE `comments` (
  `id` int(9) NOT NULL auto_increment,
  `pid` int(9) NOT NULL,
  `username` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `comment` text NOT NULL,
  `ip` varchar(255) NOT NULL,
  `modified` int(40) NOT NULL,
  `pc` text NOT NULL,
  `modifiedact` int(40) NOT NULL,
  `status` tinyint(1) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;";

if(@mysql_query($tb4)){
	echo '<p style="color:green">Has been successfully</p>';
}else{
	echo '<p style="color:red">The operation did not succeed</p>';
	$success = 0;
}		
?>
								</td>
							</tr>
                            
                            <tr>
								<td>Config</td>
								<td>
<?php 						
$tb5 = "CREATE TABLE `config` (
  `config_name` varchar(255) NOT NULL default '',
  `config_value` text NOT NULL,
  PRIMARY KEY  (`config_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

if(@mysql_query($tb5)){
	echo '<p style="color:green">Has been successfully</p>';
}else{
	echo '<p style="color:red">The operation did not succeed</p>';
	$success = 0;
}		
?>
								</td>
							</tr>
                            
                            
                            <tr>
								<td>Default of config</td>
								<td>
<?php 
$tb1Stg = "
INSERT INTO `config` VALUES ('sitethemes', 'creative_gallery_default-v2.0'),
('session_id', 'user_gallery_id'),
('session_name', 'user_gallery_name'),
('charset', 'UTF-8'),
('dateformat', 'd M Y, h:i:s a'),
('sitekey', 'metakeys, separated,by megatpl.com'),
('sitedesc', 'Your website description goes here'),
('session_length', '3600'),
('acp_session_id', 'acp_megatplgallery_id'),
('acp_session_name', 'acp_megatplgallery_name'),
('description', 'Your application description'),
('lastactivity', '3600'),
('folderadmin', 'admin'),
('sitetlang', 'en'),
('backup', ''),
('typeuploads', 'gif|png|jpg|jpeg|bmp'),
('gzip_compress', 'on'),
('per_page', '6'),
('defaultcat', '1'),
('watermark', 'on'),
('permalink', 'numeric'),
('socials_header', 'on'),
('socials_footer', 'on'),
('bg_pattern', '0'),
('widget_categories', '1'),
('widget_categories_title', 'Categories'),
('widget_pictures', '1'),
('widget_pictures_title', 'News in Pictures'),
('widget_pictures_number', '6'),
('widget_facebook', '1'),
('widget_facebook_title', 'Find us on Facebook'),
('widget_facebook_url', 'https://www.facebook.com/Megatpl'),
('widget_twitter', '1'),
('widget_twitter_title', 'Follow Us On Twitter'),
('widget_twitter_id', 'MegaTemplate'),
('widget_google', '1'),
('widget_google_title', 'Follow Us On Google '),
('widget_google_url', 'https://www.google.com/+google'),
('widget_flickr', '1'),
('widget_flickr_title', 'Flickr'),
('widget_flickr_id', '72157606336502682'),
('bg_color', '#ffffff'),
('bg_image', ''),
('socials_widget', 'on'),
('widget_fvideoy', '1'),
('widget_fvideov', '1'),
('widget_fvideoy_id', ''),
('widget_fvideov_id', ''),
('widget_text', '1'),
('widget_text_title', 'Text HTML'),
('widget_text_text', ''),
('bg_logo', ''),
('bg_favicon', '');
";
@mysql_query("TRUNCATE TABLE  `config`");
if(@mysql_query($tb1Stg)){
	echo '<p style="color:green">Has been successfully</p>';
}else{
	echo '<p style="color:red">The operation did not succeed</p>';
	$success = 0;
}		

?>
								</td>
							</tr>
                            
                            
                            <tr>
                            	<td>Posts</td>
								<td>
<?php 						
$tb6 = "CREATE TABLE `posts` (
  `id` int(11) NOT NULL auto_increment,
  `idcat` int(9) NOT NULL,
  `gid` varchar(255) NOT NULL,
  `videoy` varchar(255) NOT NULL,
  `videov` varchar(255) NOT NULL,
  `sound` varchar(255) NOT NULL,
  `ads` varchar(255) NOT NULL,
  `link` varchar(255) NOT NULL,
  `thumbimage` varchar(255) NOT NULL,
  `post_type` varchar(20) NOT NULL,
  `gallery_type` varchar(100) NOT NULL,
  `post_temp` varchar(30) NOT NULL,
  `iduser` int(9) NOT NULL,
  `title` text NOT NULL,
  `content` longtext NOT NULL,
  `modified` datetime NOT NULL,
  `status` tinyint(1) NOT NULL,
  `statusbar` tinyint(1) NOT NULL,
  `statuscomment` int(1) NOT NULL,
  `views` int(7) NOT NULL,
  `likes` int(6) NOT NULL,
  `orders` int(9) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;";

if(@mysql_query($tb6)){
	echo '<p style="color:green">Has been successfully</p>';
}else{
	echo '<p style="color:red">The operation did not succeed</p>';
	$success = 0;
}		
?>
								</td>
							</tr>
                            <tr>
                            	<td>Session</td>
								<td>
<?php 						
$tb7 = "CREATE TABLE `session` (
  `sessionhash` char(32) NOT NULL default '',
  `userid` int(10) unsigned NOT NULL default '0',
  `host` char(15) NOT NULL default '',
  `idhash` char(32) NOT NULL default '',
  `lastactivity` int(10) unsigned NOT NULL default '0',
  `location` char(255) NOT NULL default '',
  `useragent` char(255) NOT NULL,
  PRIMARY KEY  (`sessionhash`),
  KEY `user_activity` (`userid`,`lastactivity`),
  KEY `guest_lookup` (`idhash`,`host`,`userid`)
) ENGINE=MEMORY DEFAULT CHARSET=utf8;";

if(@mysql_query($tb7)){
	echo '<p style="color:green">Has been successfully</p>';
}else{
	echo '<p style="color:red">The operation did not succeed</p>';
	$success = 0;
}		
?>
								</td>
							</tr>
                            <tr>
                            	<td>Social</td>
								<td>
<?php 						
$tb8 = "CREATE TABLE `social` (
  `id` tinyint(3) NOT NULL auto_increment,
  `name` varchar(50) NOT NULL,
  `url` varchar(100) NOT NULL,
  `orders` tinyint(3) NOT NULL,
  `status` tinyint(1) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;";

if(@mysql_query($tb8)){
	echo '<p style="color:green">Has been successfully</p>';
}else{
	echo '<p style="color:red">The operation did not succeed</p>';
	$success = 0;
}		
?>
								</td>
							</tr>
                            
                            <tr>
								<td>Default of Social</td>
								<td>
<?php 
$tb3Stg = "
INSERT INTO `social` VALUES (1, 'facebook', '#facebook', 1, 1),
(2, 'twitter', '#twitter', 2, 1),
(3, 'youtube', '#youtube', 3, 1),
(4, 'vimeo', '#vimeo', 4, 1),
(5, 'google', '#google', 5, 1),
(6, 'flickr', '#flickr', 6, 1),
(7, 'dribbble', '#dribbble', 7, 1),
(8, 'pinterest', '#pinterest', 8, 1),
(9, 'instagram', '#instagram', 9, 1),
(10, 'linkedin', '#linkedin', 10, 1),
(11, 'skype', '#skype', 11, 1);
";
@mysql_query("TRUNCATE TABLE  `social`");
if(@mysql_query($tb3Stg)){
	echo '<p style="color:green">Has been successfully</p>';
}else{
	echo '<p style="color:red">The operation did not succeed</p>';
	$success = 0;
}		

?>
								</td>
							</tr>
                            
                            <tr>
                            	<td>Users</td>
								<td>
<?php 						
$tb9 = "CREATE TABLE `users` (
  `id` int(9) NOT NULL auto_increment,
  `username` varchar(100) NOT NULL,
  `password` char(32) NOT NULL,
  `email` varchar(100) NOT NULL,
  `permission` varchar(8) NOT NULL,
  `status` int(1) NOT NULL,
  `ip` varchar(30) NOT NULL,
  `codeforget` varchar(100) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;";

if(@mysql_query($tb9)){
	echo '<p style="color:green">Has been successfully</p>';
}else{
	echo '<p style="color:red">The operation did not succeed</p>';
	$success = 0;
}		
?>
								</td>
							</tr>
                            
                            
                            
                            <tr>
                            	<td>Language</td>
								<td>
<?php 						
$tb10 = "CREATE TABLE `language` (
  `id` int(6) NOT NULL auto_increment,
  `phrase` varchar(255) NOT NULL,
  `en` varchar(255) NOT NULL,
  `ar` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `phrase` (`phrase`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;";

if(@mysql_query($tb10)){
	echo '<p style="color:green">Has been successfully</p>';
}else{
	echo '<p style="color:red">The operation did not succeed</p>';
	$success = 0;
}		
?>
								</td>
							</tr>
                            
                            <tr>
								<td>Default of language</td>
								<td>
<?php 
$tb5Stg = "
INSERT INTO `language` VALUES (1, 'lang', 'en', 'ar'),
(2, 'dir', 'ltr', 'rtl'), 
(3, 'login_acp', 'Admin Control Panel', 'لوحة تحكم الإدارة'), 
(4, 'login_username', 'Username', 'اسم المستخدم'), 
(5, 'login_password', 'Password', 'كلمة المرور'), 
(6, 'login_login', 'Login', 'تسجيل الدخول'), 
(7, 'login_error', 'Error:Username or password entered were incorrect.', 'خطأ:اسم المستخدم أو كلمة المرور غير صحيحة.'), 
(8, 'dashboard_tilte', 'Dashboard', 'لوحة التحكم'), 
(9, 'dashboard_sg', 'Status Gallery', 'حالة المعرض'), 
(10, 'dashboard_sc', 'Status Commentes', 'حالة التعليقات'), 
(11, 'dashboard_gi', 'Gallery Image', 'معرض صور'), 
(12, 'dashboard_vy', 'Video Youtube', 'فيديو Youtube'), 
(13, 'dashboard_vv', 'Video Vimeo', 'فيديو Vimeo'), 
(14, 'dashboard_ssc', 'Sound soundcloud', 'صوتيات soundcloud'), 
(15, 'dashboard_ca', 'Commentes Approved', 'تمّ الموافقة عليها'), 
(16, 'dashboard_cu', 'Commentes Uapproved', 'بانتظار المراجعة'), 
(17, 'dashboard_recent', 'Recent', 'مؤخرا'), 
(18, 'dashboard_gallery', 'Gallery', 'معرض الصور'), 
(19, 'dashboard_comments', 'Comments', 'التعليقات'), 
(20, 'gn_title', 'Creative Gallery Manager', 'معرض الابداع'), 
(21, 'profile_logout', 'Logout', 'تسجيل الخروج'), 
(22, 'profile_profile', 'Profile', 'الملف الشخصي'), 
(23, 'profile_welcome', 'Welcome', 'مرحبا'), 
(24, 'profile_username', 'Username', 'اسم المستخدم'), 
(25, 'profile_email', 'E-Mail', 'البريد الالكتروني'), 
(26, 'profile_npassword', 'New Password', 'كلمة مرور جديدة'), 
(27, 'profile_cpassword', 'Confirm Password', 'تأكيد كلمة المرور'), 
(28, 'profile_notepassword', 'If you would like to change the password type a new one. Otherwise leave this blank.', 'إذا كنت ترغب في تغيير كلمة المرور اكتب واحدة جديدة. وإلا ترك هذا فارغا.'), 
(29, 'sidebar_dashboard', 'Dashboard', 'لوحة التحكم'), 
(30, 'sidebar_settings', 'Settings', 'إعدادات'), 
(31, 'sidebar_gs', 'General Setting', 'إعدادات عامة'), 
(32, 'sidebar_ss', 'Socials Setting', 'إعدادات مواقع المشاركة'), 
(33, 'sidebar_bips', 'Banned IP Setting', 'إعدادات الحظر'), 
(34, 'sidebar_ps', 'Permalink Setting', 'إعدادات الرابط الدائم'), 
(35, 'sidebar_ts', 'Themes Setting', 'إعدادات القوالب'), 
(36, 'sidebar_sts', 'Style Setting', 'إعدادات الاستايل'), 
(37, 'sidebar_cat', 'Categorys', 'الاقسام'), 
(38, 'gn_addnew', 'Add New', 'أضف جديد'), 
(39, 'sidebar_gallery', 'Gallery', 'المعرض'), 
(40, 'sidebar_comments', 'Comments', 'التعليقات'), 
(41, 'sidebar_approved', 'Approved', 'تمّ الموافقة عليها'), 
(42, 'sidebar_uapproved', 'Uapproved', 'بانتظار المراجعة'), 
(43, 'sidebar_db', 'Database', 'قاعدة البيانات'), 
(44, 'sidebar_dbbu', 'Database Backup', 'النسخ الاحتياطي'), 
(45, 'sidebar_dbt', 'Database Tables', 'جداول قاعدة البيانات'), 
(46, 'sidebar_sinfo', 'System Information', 'معلومات النظام'), 
(47, 'db_rep', 'Repairing...', 'تحليل ...'), 
(48, 'db_opt', 'Optimizing...', 'أصلاح ...'), 
(49, 'db_bun', 'Backup Name', 'اسم النسخة الأحتياطية'), 
(50, 'db_bur', 'Restore Backup', 'استعادة نسخة'), 
(51, 'db_cbu', 'Create Backup', 'انشاء نسخة'), 
(52, 'gn_download', 'Download', 'تحميل'), 
(53, 'gn_delete', 'Delete', 'حذف'), 
(54, 'cat_catitem', 'Category Items', 'الاقسام'), 
(55, 'cat_items', 'Items', 'المواضيع'), 
(56, 'gn_order', 'Order', 'الترتيب'), 
(57, 'gn_action', 'Action', 'إجراء'), 
(58, 'gn_edit', 'Edit', 'تعديل'), 
(59, 'gn_enable', 'Enable', 'تفعيل'), 
(60, 'gn_disable', 'Disable', 'تعطيل'), 
(61, 'gn_back', 'Back', 'عودة'), 
(62, 'gn_status', 'Status', 'الحالة'), 
(63, 'cat_name', 'Name', 'اسم القسم'), 
(64, 'gn_updata', 'Updata', 'تحديث'), 
(65, 'gn_add', 'Add', 'أضف'), 
(66, 'gn_reset', 'Reset', 'إعادة تعيين'), 
(67, 'cat_add', 'Add New Category', 'أضف قسم جديد'), 
(68, 'setgn_webname', 'Website Name', 'اسم الموقع'), 
(69, 'setgn_tagline', 'Tagline', 'وصف قصير للموقع'), 
(70, 'setgn_weburl', 'Website URL', 'رابط الموقع'), 
(71, 'setgn_webmail', 'Website Email', 'بريد الموقع'), 
(72, 'setgn_dtcat', 'Default Items Category', 'القسم الافتراضي'), 
(73, 'setgn_ipp', 'Items Per Page', 'عدد الموضوعات في الصفحة'), 
(74, 'setgn_charset', 'Charset', 'الترميز'), 
(75, 'setgn_sitekey', 'Site wide Meta Keywords', 'كلمات البحث'), 
(76, 'setgn_sitedesc', 'Site wide Meta Description', 'كلمات الوصف'), 
(77, 'setgn_dataformat', 'Date Format', 'صيغة التاريخ'), 
(78, 'setgn_fadmin', 'Folder Admincp', 'مجلد لوحة التحكم'), 
(79, 'setgn_watermark', 'Water Mark', 'ختم الصور'), 
(80, 'setgn_gzip', 'GZIP Compress', 'نظام الضغط GZIP'), 
(81, 'gn_savechangen', 'Save Changes ', 'حفظ التغييرات'), 
(82, 'setss_showh', 'Show Header', 'ظهور في الهيدر'), 
(83, 'setss_showw', 'Show Widget', 'ظهور في القائمة الجانبية'), 
(84, 'setss_showf', 'Show Footer', 'ظهور في الفوتر'), 
(85, 'setip_ipa', 'IP Address', 'الاي بي'), 
(86, 'setip_banned', 'Banned', 'حظر'), 
(87, 'gn_by', 'By', 'بواسطة'), 
(88, 'gn_default', 'Default', 'الافتراضي'), 
(89, 'gn_numeric', 'Numeric', ' رقمي'), 
(90, 'setps_htaccess', '.htaccess File', 'ملف الهاتكس'), 
(91, 'gn_save', 'Save', 'حفظ'), 
(92, 'setsts_bgcolor', 'Background Color', 'لون الخلفية'), 
(93, 'setsts_bgpattern', 'Pattern Background', 'خلفية باترين'), 
(94, 'setsts_logo', 'Header Logo', 'شعار الموقع'), 
(95, 'setsts_favicon', 'Favicon', 'أيقونة المفضلة'), 
(96, 'setsts_bgcustom', 'Custom Background', 'خلفية أخري'), 
(97, 'gn_upload', 'Uplaod', 'رفع'), 
(98, 'setts_themes', 'Themes', 'القوالب'), 
(99, 'setts_activate', 'Activate', 'الفعّال'), 
(100, 'setts_widgets', 'Widgets', 'المربعات الجانبية'), 
(101, 'setts_activate2', 'Activate', 'تفعيل'), 
(102, 'widget_cat', 'Categories', 'الاقسام'), 
(103, 'widget_photos', 'Pictures', 'الصور'), 
(104, 'widget_fvideo', 'Feature Video', 'الفيديو المميز'), 
(105, 'widget_text', 'Text', 'نص'), 
(106, 'widget_fb', 'Facebook', 'فيس بوك'), 
(107, 'widget_tw', 'Twitter', 'تويتر'), 
(108, 'widget_gp', 'Google+', 'جوجل بلس'), 
(109, 'widget_fl', 'Flickr', 'فلكر'), 
(110, 'gn_show', 'Show', 'تفعيل'), 
(111, 'widget_title', 'Title', 'العنوان'), 
(112, 'widget_numtoshow', 'Number to show', 'العدد'), 
(113, 'widget_purl', 'Page Url', 'رابط الصفحة'), 
(114, 'widget_twid', 'Twitter ID', 'ID تويتر'), 
(115, 'widget_gpurl', 'Google+ url', 'الرابط'), 
(116, 'widget_flid', 'Flickr ID', 'ID فلكر'), 
(117, 'widget_newphoto', 'News in Pictures', 'أحدث الصور'), 
(118, 'widget_vyoutube', 'Video Youtube', 'فيديو يوتيوب'), 
(119, 'widget_vvimeo', 'Video Vimeo', 'فيديو فيميو'), 
(120, 'info_pname', 'Product Name', 'اسم المنتج'), 
(121, 'info_pver', 'Product Version', 'اصدار المنتج'), 
(122, 'info_pdev', 'Development', 'المطورين'), 
(123, 'info_email', 'E-Mail', 'البريد الإلكتروني'), 
(124, 'info_website', 'Web Site', 'الموقع الإلكتروني'), 
(125, 'info_support', 'Support', 'الدعم الفني'), 
(126, 'info_phone', 'Phone Number', 'رقم الهاتف'), 
(127, 'info_serveros', 'Server OS', 'نوع السيرفر'), 
(129, 'info_serverapi', 'Server API', 'المزود'), 
(130, 'info_serverdb', 'Server Database', 'مزود قاعدة البيانات'), 
(131, 'info_serverdbver', 'Server Database Version', 'إصدار MySQL'), 
(132, 'info_phpmlimit', 'PHP Memory Limit', 'محدودية ذاكرة PHP'), 
(133, 'info_sizedb', 'Size DB', 'حجم قاعدة البيانات'), 
(134, 'info_serverts', 'Server Total Space', 'مساحة المزود'), 
(135, 'info_phpver', 'Current PHP Version', 'إصدار PHP'), 
(136, 'info_gdver', 'GD Version', 'إصدار GD'), 
(137, 'info_logerrors', 'Log Errors', 'سجل الأخطاء'), 
(138, 'info_regglobals', 'Register Globals', 'Register Globals'), 
(139, 'info_phpsafemode', 'PHP Safe Mode', 'الوضع الآمن PHP'), 
(140, 'info_pmsphp', 'Post Max Size PHP', 'الحجم الأقصى لمشاركات PHP'), 
(141, 'info_umfsphp', 'Upload Max File Size PHP', 'الحجم الأقصى لرفع PHP'), 
(142, 'gn_modified', 'Modified', 'تاريخ الأضافة'), 
(143, 'gn_likes', 'Likes', 'الاعجاب'), 
(144, 'gn_views', 'views', 'المشاهدات'), 
(145, 'gn_featuredimage', 'Featured Image', 'الصورة البارزة'), 
(146, 'gn_entertitle', 'Enter title here', 'أكتب العنوان هنا'), 
(147, 'gn_idvyoutube', 'ID Video Youtube', 'ID فيديو يوتيوب'), 
(148, 'gn_idvvimeo', 'ID Video Vimeo', 'ID فيديو فيميو'), 
(149, 'gn_urlsoundcloud', 'URL Sound soundcloud', 'الرابط soundcloud'), 
(150, 'gn_publish', 'Publish', 'نشر'), 
(151, 'com_allcomment', 'All Comments', 'جميع التعليقات'), 
(152, 'com_postcomment', 'Post Comments', 'تعليقات التدوينة'), 
(153, 'com_comment', 'Comment', 'التعليق'), 
(154, 'com_post', 'Post', 'التدوينة'), 
(155, 'com_approved', 'Approved', 'موافقة'), 
(156, 'com_unapproved', 'Unapproved', 'إلغاء الموافقة'), 
(157, 'gn_savesuccessfully', 'Saved successfully.', 'تم الحفظ بنجاح.'), 
(158, 'gn_bannedsuccessfully', 'Add banned successfully.', 'تم الحظر بنجاح'), 
(159, 'gn_deleteipsuccessfull', 'Delete IP successfully.', 'تم الحذف بنجاح.'), 
(160, 'cat_catsuccessfully', 'category successfully.', 'القسم بنجاح.'), 
(161, 'cat_enable', 'Enable', 'تم تفعيل'), 
(162, 'cat_disable', 'Disable', 'تم تعطيل'), 
(163, 'cat_delete', 'Delete', 'تم حذف'), 
(164, 'cat_addmsg', 'Add', 'تم اضافة'), 
(165, 'cat_editmsg', 'Edit', 'تم تعديل'), 
(166, 'post_successfully', 'psot successfully.', 'التدوينة بنجاح.'), 
(167, 'post_add', 'Post add new', 'أضافة تدوينة جديدة'), 
(168, 'com_approvedmsg', 'Approved successfully.', 'تم الموافقة بنجاح.'), 
(169, 'com_unapprovedmsg', 'Unapproved successfully.', 'تم الغاء الموافقة بنجاح.'), 
(170, 'com_deletemsg', 'Delete successfully.', 'تم الحذف بنجاح.'), 
(171, 'setgn_lang', 'Language', 'اللغة'),
(172, 'web_by', 'By', 'بواسطة'), 
(173, 'web_in', 'in', 'القسم'), 
(174, 'web_modified', 'Modified', 'تاريخ الأضافة'), 
(175, 'web_views', 'Views', 'المشاهدات'), 
(176, 'web_photos', 'Photos', 'الصور'), 
(177, 'web_comments', 'Comments', 'التعليقات'), 
(178, 'web_likes', 'Likes', 'الاعجاب'), 
(179, 'web_preview_all_photos', 'Preview All Photos', 'عرض جميع الصور'), 
(180, 'web_add_comments', 'Add Comments', 'أضف تعليق'), 
(181, 'web_aychbswbrftc', 'Add your comment has been successfully will be reviewed first to comment.', 'تم أضافة التعليق بنجاح سيتم مراجعة التعليق اولا'), 
(182, 'web_username', 'Username', 'الاسم'), 
(183, 'web_email', 'Email', 'البريد الإلكتروني'), 
(184, 'web_comment', 'Comment', 'التعليق'), 
(185, 'web_submit', 'Submit', 'ارسال'), 
(186, 'web_please_wait', 'Please wait...', 'برجاء الانتظار...'), 
(187, 'web_home', 'Home', 'الرئيسية');
";
@mysql_query("TRUNCATE TABLE  `language`");
if(@mysql_query($tb5Stg)){
	echo '<p style="color:green">Has been successfully</p>';
}else{
	echo '<p style="color:red">The operation did not succeed</p>';
	$success = 0;
}		

?>
								</td>
							</tr>

						
							
							<tr>
								<td colspan="2">
									<?php if($success){
								echo '<h2><a href="setup.php?step=info" class="btn btn-block btn-primary">Site Information</a></h2>';		
									}?>
								</td>
							</tr>
							
							</table>
					<?php	}else if($step=='info'){ ?>
						<h2>Site Information</h2>
						<form method="post" action="setup.php?step=end">
						<table class="table table-striped" style="width:100%;text-align: center">
                            <tr>
								<td style="padding-top: 15px">Site Name</td>
								<td>
                                <input type='text' class='form-control updateOnChange' name='site_name'/>
								</td>
							</tr>
							<tr>
								<td style="padding-top: 15px">Site URL</td>
								<td>
                                <input type='text' class='form-control updateOnChange'  name='site_url' value="http://<?php echo $temp['URL']; ?>/" />
								</td>
							</tr>
							<tr>
								<td style="padding-top: 15px">Site email</td>
								<td>
                                <input type='text' class='form-control updateOnChange'  name='site_mail' />
								</td>
							</tr>

							<tr>
								<td colspan="2"><hr /></td>
							</tr>
                            <h2>Admin Information</h2>
							<tr>
								<td style="padding-top: 15px">Admin Name</td>
								<td>
                                <input type='text' class='form-control updateOnChange' name='admin_name' />
								</td>
							</tr>
                            <tr>
								<td style="padding-top: 15px">Admin email</td>
								<td>
                                <input type='text' class='form-control updateOnChange' name='admin_email' />
								</td>
							</tr>
							<tr>
								<td style="padding-top: 15px">Password Admin</td>
								<td>
                                <input type='password' class='form-control updateOnChange' name='admin_pass' />
								</td>
							</tr>
							
							<tr>
								<td colspan="2"><br /><br />
									<input type="hidden" name="isinstall" value="1"/>
									<input type="submit" name="submit" value="Save Settings" class="btn btn-block btn-primary" />
										<br />
									<div class="alert alert-danger">
										Make sure the mobilization of all fields correctly especially your user name and password so you can log on to the plate, so that the application works well!
									</div>
								</td>
							</tr>
						</table>
						</form>
					<?php }else if($step=="end"){
						  $success = 1;
                            @mysql_connect($dbhost,$dbuser,$dbpasswd);
                            @mysql_select_db($dbname);
                            @mysql_set_charset('utf8');					  
                            $stb12 = "INSERT INTO `config` VALUES ('sitename', '".$_POST['site_name']."'),('siteurl', '".$_POST['site_url']."'),('sitemail', '".$_POST['site_mail']."'),('isinstall', '1');";
                            $stb13 = "INSERT INTO `users` VALUES (1, '".$_POST['admin_name']."', '".md5($_POST['admin_pass'])."', '".$_POST['admin_email']."', 'admincp', 1, '".$_SERVER['REMOTE_ADDR']."', '');";
                            @mysql_query($stb12);
                            @mysql_query($stb13);
						  if($success){
						  ?>
						  	<h2>The script has been installed successfully</h2>
						  	<br />
						  	<a href="admin/index.php">admincp</a>
						  	<br />
						  	<a href="index.php">Website Home</a>
						  	<br />
						  	<a href="http://forum.persianscript.ir">Support</a>
						  <?php
						  }else{
						  	echo '<div class="alert alert-danger">An unexpected error occurred, make sure that all information is correct previous page</div>';
						 }
					} ?>
					
				</div>
				
			</div>
		<footer>
            <hr/>
            <div class="row">
                <div class="col-lg-12">
                    <a href="http://persianscript.ir">PersianScript.ir</a>
                </div>
            </div>
        </footer>
		</div>
		
	</body>
</html>